/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef BROWSE_H
#define BROWSE_H

#include <QWidget>
#include <QUrl>
#include <QNetworkAccessManager>
#include <QNetworkReply>

namespace Ui {
    class browse;
}

class browse : public QWidget {
    Q_OBJECT
public:
    browse(QWidget *parent = 0);
    ~browse();
    Ui::browse *ui;
    void setUrl(QString url);
    void setHtml(QString html);
    void stopLoading();
    int get_scroolbar_value();
    void set_scroolbar_value(int n);

protected:
    void changeEvent(QEvent *e);

private:
    qreal zoom,step;

private slots:
    void on_PB_zoomout_clicked();
    void on_PB_zoomin_clicked();
    void on_PB_left_clicked();
    void on_PB_right_clicked();
    void on_LE_url_returnPressed();
    void on_webView_urlChanged(QUrl url);
    void on_PB_close_clicked();

signals:
    void button_close_pressed();
};

#endif // BROWSE_H
