/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#include <QPushButton>
#include "filenamedialog.h"
#include "ui_filenamedialog.h"

fileNameDialog::fileNameDialog(QFileInfo fileName, QWidget *parent) :
    QDialog(parent),
    outputFileName(fileName),
    ui(new Ui::fileNameDialog)
{
    ui->setupUi(this);
    ui->lineEdit->setText(outputFileName.baseName());
}

fileNameDialog::~fileNameDialog()
{
    delete ui;
}

void fileNameDialog::on_lineEdit_textChanged(const QString &arg1)
{
    outputFileName.setFile(outputFileName.absolutePath()+"/"+arg1+"."+outputFileName.suffix());
    if (outputFileName.exists()) {
        ui->label->setText(tr("Audio file name already exists"));
        ui->buttonBox->button(QDialogButtonBox::Ok)->setDisabled(true);
        ui->lineEdit->setStyleSheet("color:red;");
    }
    else {
        ui->label->setText(tr("Audio file name"));
        ui->buttonBox->button(QDialogButtonBox::Ok)->setDisabled(false);
        ui->lineEdit->setStyleSheet("color:black;");
    }
}
