/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef FROMFS_H
#define FROMFS_H

#include <QWidget>
#include <QDir>
#include "imageviewer2d.h"
#include "imagecontainer.h"

class fromfs : public QWidget
{
    Q_OBJECT
public:
    explicit fromfs(bool subDir, ImageViewer2d *v, QWidget *parent = 0);
    void parseFiles(QDir directory);

private:
    void getThumbImageThumb(QString absPath, QByteArray *data, imageStruct *is);
#ifdef PHONON_LIB
    void getThumbVideoThumb(QString absPath, QByteArray *data, imageStruct *is);
#endif
    QStringList mediaImageExtensions;
    QStringList mediaVideoExtensions;
    bool includeSubDir;
    ImageViewer2d *viewer;
#ifdef PHONON_LIB
    Phonon::State videoState;

public slots:
    void stateChanged(Phonon::State newstate, Phonon::State oldstate);
#endif

signals:
    void outMessage(const QString &message, int row);
};

#endif // FROMFS_H
