/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef IMAGEWIDGET_H
#define IMAGEWIDGET_H

#include <QWidget>
#include "imageviewer2d.h"
#include "customizeimagewidget.h"

namespace Ui {
    class imageWidget;
}

class imageWidget : public QWidget
{
    Q_OBJECT

public:
    explicit imageWidget(QWidget *parent = 0);
    ~imageWidget();
    ImageViewer2d *scene;
    void setSlidersValue(QSize size);

private:
    Ui::imageWidget *ui;
    customizeImageWidget *customizeDialog;

public slots:
    void onSliderChanged();
    void onHorizontalSliderMovement(int i);
    void onVerticalSliderMovement(int i);
    void on_PB_customize_clicked();
    void onTop_color_changed(QColor c);
    void onMid_color_changed(QColor c);
    void onBottom_color_changed(QColor c);
    void onImage_choosen(bool checked, QString fileName);
    void onImages_color_changed(QColor c);
    void onVideos_color_changed(QColor c);
    void onImages_text_color_changed(QColor c);
    void onVideos_text_color_changed(QColor c);

private slots:
    void on_PB_open_download_directory_clicked();

signals:
    void PB_open_download_directory_clicked();
};

#endif // IMAGEWIDGET_H
