/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#include <QMouseEvent>
#include "popuptext.h"

popupText::popupText(QWidget *parent) :
    QTextEdit(parent)
{
}

void popupText::showHtmlText(QString s, QRect rect)
{
    this->setGeometry(rect);
    this->setHtml(s);
    this->setReadOnly(true);
    this->setStyleSheet("background-color: rgb(0, 0, 0); color: rgb(255, 255, 255);");
    this->setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOn);
    this->show();
}

void popupText::mousePressEvent ( QMouseEvent *e ) {
    if (e->button() & Qt::LeftButton)
    {
        emit clicked();
        this->close();
    }
};
