/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/


#include <QDir>
#include "settings.h"

settings::settings()
{
    QString homePath;
    // If exist the old version of config file, move it to new location
    QFile f(QDir::toNativeSeparators( QDir::homePath()+"/.MediaDownloader") );
    QString s = QDir::toNativeSeparators( QDir::homePath()+"/.MediaDownloader");
    if (f.exists())
    {
        f.copy(  QDir::toNativeSeparators( QDir::homePath()+"/.mediadownloader/mediadownloader.conf") );
        f.remove(QDir::toNativeSeparators( QDir::homePath()+"/.MediaDownloader") );
    }
    homePath=QDir::toNativeSeparators( QDir::homePath()+"/.mediadownloader/mediadownloader.conf" );

    conf = new QSettings(homePath,QSettings::IniFormat);
}

settings::~settings()
{
    delete conf;
}
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
void settings::store_settings( QString name, int value)
{
    conf->setValue(name, value);
}

void settings::store_settings( QString name, QString value)
{
    conf->setValue(name, value);
}

void settings::store_settings( QString name, QByteArray value)
{
    conf->setValue(name, value);
}

void settings::store_settings( QString name, bool value)
{
    conf->setValue(name, value);
}
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
