QT += gui core network \
      webkit \
      xml

# use OpenGL where available
contains(QT_CONFIG, phonon) {
    QT += phonon
    DEFINES += PHONON_LIB
    message("Phonon supported")
}

# use OpenGL where available
contains(QT_CONFIG, opengl)|contains(QT_CONFIG, opengles1)|contains(QT_CONFIG, opengles2) {
         DEFINES += QT_OPENGL_SUPPORT
         QT += opengl
         message("OpenGL supported")
}


CONFIG += warn_on qt

# debugging
# $$PWD is the building directory
CONFIG -= debug_and_release
message($$CONFIG)
CONFIG(debug, debug|release) {
    DEFINES += DEBUGGING
    DEFINES += "PWD_PRO=$$PWD"
    CONFIG -= release
    message("Compiling in debug mode. Css style files will be read from "$$PWD"/css")
}
else {
    CONFIG-=debug
    message($$DEFINES)
    unix {
        message("Compiling in release mode. Css style files will be read from ~/.mediadownloader/css")
    }
    win32 {
        message("Compiling in release mode. Css style files will be read from Mediadownloader\\css program folder")
    }
}



# deployment
unix {
    target.path = /usr/bin
    icon.files = mediadownloader.png
    icon.path = /usr/share/pixmaps/
    dfile.files = mediadownloader.desktop
    dfile.path = /usr/share/applications
    man.files = mediadownloader.1
    man.path = /usr/share/man/man1
    css.files = css/*.css
    css.path = /etc/mediadownloader/css
    ffmpeg-presets.files = ffmpeg-presets/*.ffpreset
    ffmpeg-presets.path = /etc/mediadownloader/ffmpeg-presets
    INSTALLS += target \
        icon \
        dfile \
        man
    LIBS+= -lXtst -lX11
}

win32 {
    CONFIG += embed_manifest_exe
    RC_FILE = main/mediadownloader.rc
}


win32|macx {
    contains(CONFIG, static)|contains(CONFIG, qt_no_framework) {
        DEFINES += STATIC_LINK
        QTPLUGIN += qgif \
            qjpeg \
            phonon_backend
    }
}


TARGET = mediadownloader
RESOURCES += main/md.qrc
TEMPLATE = app
MOC_DIR = .build
OBJECTS_DIR = .build
RCC_DIR = .build
UI_DIR = .build
DESTDIR = ./bin
INCLUDEPATH += $$PWD/main
SOURCES += main/main.cpp \
    main/mainwindow.cpp \
    main/about.cpp \
    main/googlepicture.cpp \
    main/network.cpp \
    main/imageviewer2d.cpp \
    main/imagecontainer.cpp \
    main/browse.cpp \
    main/save.cpp \
    main/settings.cpp \
    main/backgroudimage.cpp \
    main/youtube.cpp \
    main/mediaplayer.cpp \
    main/imagewidget.cpp \
    main/popuptext.cpp \
    main/slideshow.cpp \
    main/saverestore.cpp \
    main/fromfs.cpp \
    main/styles.cpp \
    main/customizeimagewidget.cpp \
    main/ffmpegfrontend.cpp \
    main/firefoxmonitor.cpp \
    main/googlesuggest.cpp \
    main/mbslider.cpp \
    main/mbbuffer.cpp \
    main/filenamedialog.cpp
HEADERS += main/mainwindow.h \
    main/about.h \
    main/googlepicture.h \
    main/network.h \
    main/imageviewer2d.h \
    main/imagecontainer.h \
    main/browse.h \
    main/save.h \
    main/settings.h \
    main/backgroudimage.h \
    main/youtube.h \
    main/mediaplayer.h \
    main/defines.h \
    main/imagewidget.h \
    main/popuptext.h \
    main/slideshow.h \
    main/saverestore.h \
    main/fromfs.h \
    main/styles.h \
    main/customizeimagewidget.h \
    main/ffmpegfrontend.h \
    main/firefoxmonitor.h \
    main/googlesuggest.h \
    main/mbslider.h \
    main/mbbuffer.h \
    main/mbcookiejar.h \
    main/filenamedialog.h
FORMS += main/mainwindow.ui \
    main/about.ui \
    main/network.ui \
    main/browse.ui \
    main/imagewidget.ui \
    main/onlinecheck.ui \
    main/customizeimagewidget.ui \
    main/ffmpegfrontend.ui \
    main/ffmpegoutput.ui \
    main/filenamedialog.ui
TRANSLATIONS = translations/md_it.ts \
    translations/md_ru.ts \
    translations/md_ua.ts \
    translations/md_de.ts

OTHER_FILES += main/mediadownloader.rc README.txt

